SET SQL DIALECT 3;

SET NAMES WIN1251;

CONNECT 'localhost:D:\1111111111111111\TOPAZOFFICE.FDB' USER 'SYSDBA' PASSWORD 'electro'; 

CREATE OR ALTER trigger "sysEventsGenHash" for "sysEvents"
inactive before insert position 10
AS
begin /*$$IBE$$ 
  NEW."Hash" = MD5(NEW."ComputerName" || Cast(NEW."DateTime" as varchar(25))); 
 $$IBE$$*/ POST_EVENT '$$IBE$$';
end;

commit;